#---------------------------------------------------------------------------+
# | Copyright 2002, Rational Software.  All Rights Reserved.
# | This software contains proprietary and confidential information of
# | Rational and its suppliers.  Use, disclosure or reproduction is
# | prohibited without the prior express written consent of Rational.
#---------------------------------------------------------------------------+
###########################################################################
# other_log_scrubber.pl
# usage: ccperl other_log_scrubber.pl [no arguments]
#
# This script is intended to be run periodically by the ClearCase
# Job Scheduler to launch various log scrubbing jobs. It does not
# perform the scrubbing itself.
# 
# Intended only for use on Windows systems.
#
###########################################################################

use strict;

# We are expected to be running from the Job Scheduler environment, so
# CLEARCASEHOME EV should be set. If running manually, ensure EV is set to
# your Clearcase install directory.

my $ms_logscrubber;

if (exists $ENV{CLEARCASEHOME}) {
    chdir "$ENV{CLEARCASEHOME}\\config\\scheduler\\tasks";
    $ms_logscrubber = 
        ".\\scrub_sync_logs.bat";
} else {
    die "E.V. CLEARCASEHOME is not defined; exiting.\n";
}

# run the MultiSite sync script lob scrubber.
# The scrubbing period may be adjusted with the "-d <number of days to keep>"
# parameter. See the "scrub_sync_logs.bat" script for further options.
if (-e $ms_logscrubber) {
    system("$ms_logscrubber -d 14");
}
